Ignore:
Timestamp:
Oct 15, 2013 9:52:59 AM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/ASL/trunk/configure

    r2904 r2964  
    10661066                          (implies --disable-shared)
    10671067  --enable-debug-asl compile project ASL with debug compiler flags
    1068   --enable-doscompile     Under Cygwin, compile so that executables run under
    1069                           DOS. Set to mingw to use gcc/g++/ld with
    1070                           -mno-cygwin. Set to msvc to use cl/link (or
    1071                           icl/link). Default when mentioned: mingw. Default
    1072                           when not mentioned: disabled.
     1068
     1069  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10731070  --enable-static[=PKGS]
    10741071                          build static libraries [default=no]
     
    18891886
    18901887# Get the name of the C compiler and compiler flags
    1891 case $build in
     1888
     1889
     1890  # for backward compatibility
     1891  # Check whether --enable-doscompile or --disable-doscompile was given.
     1892if test "${enable_doscompile+set}" = set; then
     1893  enableval="$enable_doscompile"
     1894  enable_doscompile=$enableval
     1895else
     1896  enable_doscompile=no
     1897fi;
     1898
     1899  # Check whether --enable-msvc or --disable-msvc was given.
     1900if test "${enable_msvc+set}" = set; then
     1901  enableval="$enable_msvc"
     1902  enable_msvc=$enableval
     1903else
     1904  enable_msvc=no
     1905     if test "$enable_doscompile" = msvc ; then
     1906       enable_msvc=yes
     1907     elif test "$enable_doscompile" != no ; then
     1908       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1909echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1910   { (exit 1); exit 1; }; }
     1911     fi
     1912
     1913fi;
     1914
     1915  if test "$enable_msvc" = yes; then
     1916    case $build in
     1917      *-cygwin* | *-mingw*) ;;
     1918      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1919echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1920   { (exit 1); exit 1; }; } ;;
     1921    esac
     1922  fi
     1923
     1924
     1925 case $build in
    18921926  *-mingw*)
    18931927    if test "${LD+set}" = set; then :; else
     
    18961930    ;;
    18971931 esac
    1898  case $enable_doscompile in
    1899    msvc)
    1900      if test "x${LD+set}" = xset; then :; else
    1901        LD=link
    1902      fi
    1903      ;;
    1904  esac
    1905 
    1906 
    1907  # Check whether --enable-doscompile or --disable-doscompile was given.
    1908 if test "${enable_doscompile+set}" = set; then
    1909   enableval="$enable_doscompile"
    1910   if test "$enable_doscompile" != no; then
    1911      case $build in
    1912        *-cygwin* | *-mingw*) ;;
    1913        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1914 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1932 if test $enable_msvc = yes ; then
     1933   if test "x${LD+set}" = xset; then :; else
     1934     LD=link
     1935   fi
     1936 fi
     1937
     1938
     1939# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1940if test "${enable_static_standardlibs+set}" = set; then
     1941  enableval="$enable_static_standardlibs"
     1942  case "$enableval" in
     1943     no | yes | auto ) ;;
     1944     *)
     1945       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1946echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    19151947   { (exit 1); exit 1; }; } ;;
    1916      esac
    1917    fi
    1918 else
    1919   enable_doscompile=no
     1948   esac
     1949   use_static_standardlibs=$enableval
     1950else
     1951  use_static_standardlibs=no
    19201952fi;
    1921  case "$enable_doscompile" in
    1922    mingw)
    1923      case $build in
    1924        *-mingw*) enable_doscompile=no ;;
    1925      esac
    1926      ;;
    1927    msvc|no) ;;
    1928    yes) enable_doscompile=mingw ;;
    1929    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1930                     Try configure --help=recursive." >&5
    1931 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1932                     Try configure --help=recursive." >&2;}
    1933    { (exit 1); exit 1; }; }
    1934       ;;
    1935   esac
    1936   if test "$enable_doscompile" != no ; then
    1937     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1938 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1939   fi
     1953
    19401954
    19411955
     
    19801994case $build in
    19811995  *-cygwin* | *-mingw*)
    1982              if test "$enable_doscompile" = msvc ; then
    1983                comps="icl cl"
     1996             if test "$enable_msvc" = yes ; then
     1997               comps="icl cl gcc"
    19841998             else
    1985                comps="gcc cl"
     1999               comps="gcc icl cl"
    19862000             fi ;;
    19872001  *-*-solaris*)
     
    28362850            ;;
    28372851        esac
    2838         case $enable_doscompile in
    2839           mingw)
    2840             CFLAGS="-mno-cygwin"
    2841             cat >conftest.$ac_ext <<_ACEOF
    2842 /* confdefs.h.  */
    2843 _ACEOF
    2844 cat confdefs.h >>conftest.$ac_ext
    2845 cat >>conftest.$ac_ext <<_ACEOF
    2846 /* end confdefs.h.  */
    2847 
    2848 int
    2849 main ()
    2850 {
    2851 int i=0; i++;
    2852   ;
    2853   return 0;
    2854 }
    2855 _ACEOF
    2856 rm -f conftest.$ac_objext conftest$ac_exeext
    2857 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2858   (eval $ac_link) 2>conftest.er1
    2859   ac_status=$?
    2860   grep -v '^ *+' conftest.er1 >conftest.err
    2861   rm -f conftest.er1
    2862   cat conftest.err >&5
    2863   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2864   (exit $ac_status); } &&
    2865          { ac_try='test -z "$ac_c_werror_flag"
    2866                          || test ! -s conftest.err'
    2867   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2868   (eval $ac_try) 2>&5
    2869   ac_status=$?
    2870   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2871   (exit $ac_status); }; } &&
    2872          { ac_try='test -s conftest$ac_exeext'
    2873   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2874   (eval $ac_try) 2>&5
    2875   ac_status=$?
    2876   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2877   (exit $ac_status); }; }; then
    2878   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2879 else
    2880   echo "$as_me: failed program was:" >&5
    2881 sed 's/^/| /' conftest.$ac_ext >&5
    2882 
    2883 fi
    2884 rm -f conftest.err conftest.$ac_objext \
    2885       conftest$ac_exeext conftest.$ac_ext
    2886             CFLAGS=
    2887           ;;
    2888         esac
    28892852    esac
    28902853  fi
     
    30773040    CFLAGS="$OPT_CFLAGS"
    30783041  fi
     3042
    30793043else
    30803044  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32273191  clang* ) ;;
    32283192  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3229     case $build in
     3193
     3194 case $build in
    32303195  *-mingw*)
    32313196    if test "${LD+set}" = set; then :; else
     
    32343199    ;;
    32353200 esac
    3236  case $enable_doscompile in
    3237    msvc)
    3238      if test "x${LD+set}" = xset; then :; else
    3239        LD=link
    3240      fi
    3241      ;;
    3242  esac
     3201 if test $enable_msvc = yes ; then
     3202   if test "x${LD+set}" = xset; then :; else
     3203     LD=link
     3204   fi
     3205 fi
    32433206
    32443207    ;;
    32453208esac
     3209
     3210# check whether to add flags for static linking against standard libraries to LDFLAGS
     3211if test x$use_static_standardlibs != xno ; then
     3212  case $build in
     3213    *-mingw*)
     3214      static_standardlib_flag=-static
     3215      ;;
     3216    *)
     3217      static_standardlib_flag=-static-libgcc
     3218      ;;
     3219  esac
     3220  case " $LDFLAGS " in
     3221    *" $static_standardlib_flag "* ) ;;
     3222    *)
     3223    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3224echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3225    coin_save_LDFLAGS="$LDFLAGS"
     3226    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3227    cat >conftest.$ac_ext <<_ACEOF
     3228/* confdefs.h.  */
     3229_ACEOF
     3230cat confdefs.h >>conftest.$ac_ext
     3231cat >>conftest.$ac_ext <<_ACEOF
     3232/* end confdefs.h.  */
     3233
     3234int
     3235main ()
     3236{
     3237int i=0;
     3238  ;
     3239  return 0;
     3240}
     3241_ACEOF
     3242rm -f conftest.$ac_objext conftest$ac_exeext
     3243if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3244  (eval $ac_link) 2>conftest.er1
     3245  ac_status=$?
     3246  grep -v '^ *+' conftest.er1 >conftest.err
     3247  rm -f conftest.er1
     3248  cat conftest.err >&5
     3249  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3250  (exit $ac_status); } &&
     3251         { ac_try='test -z "$ac_c_werror_flag"
     3252                         || test ! -s conftest.err'
     3253  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3254  (eval $ac_try) 2>&5
     3255  ac_status=$?
     3256  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3257  (exit $ac_status); }; } &&
     3258         { ac_try='test -s conftest$ac_exeext'
     3259  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3260  (eval $ac_try) 2>&5
     3261  ac_status=$?
     3262  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3263  (exit $ac_status); }; }; then
     3264  echo "$as_me:$LINENO: result: yes" >&5
     3265echo "${ECHO_T}yes" >&6
     3266else
     3267  echo "$as_me: failed program was:" >&5
     3268sed 's/^/| /' conftest.$ac_ext >&5
     3269
     3270echo "$as_me:$LINENO: result: no" >&5
     3271echo "${ECHO_T}no" >&6
     3272       LDFLAGS="$coin_save_LDFLAGS"
     3273       if test $use_static_standardlibs = yes ; then
     3274         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3275echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3276   { (exit 1); exit 1; }; }
     3277       fi
     3278
     3279fi
     3280rm -f conftest.err conftest.$ac_objext \
     3281      conftest$ac_exeext conftest.$ac_ext
     3282    ;;
     3283  esac
     3284fi
    32463285
    32473286ac_ext=c
     
    48784917*-*-irix6*)
    48794918  # Find out which ABI we are using.
    4880   echo '#line 4880 "configure"' > conftest.$ac_ext
     4919  echo '#line 4919 "configure"' > conftest.$ac_ext
    48814920  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    48824921  (eval $ac_compile) 2>&5
     
    64776516
    64786517# Provide some information about the compiler.
    6479 echo "$as_me:6479:" \
     6518echo "$as_me:6518:" \
    64806519     "checking for Fortran 77 compiler version" >&5
    64816520ac_compiler=`set X $ac_compile; echo $2`
     
    75447583   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    75457584   -e 's:$: $lt_compiler_flag:'`
    7546    (eval echo "\"\$as_me:7546: $lt_compile\"" >&5)
     7585   (eval echo "\"\$as_me:7585: $lt_compile\"" >&5)
    75477586   (eval "$lt_compile" 2>conftest.err)
    75487587   ac_status=$?
    75497588   cat conftest.err >&5
    7550    echo "$as_me:7550: \$? = $ac_status" >&5
     7589   echo "$as_me:7589: \$? = $ac_status" >&5
    75517590   if (exit $ac_status) && test -s "$ac_outfile"; then
    75527591     # The compiler can only warn and ignore the option if not recognized
     
    78127851   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78137852   -e 's:$: $lt_compiler_flag:'`
    7814    (eval echo "\"\$as_me:7814: $lt_compile\"" >&5)
     7853   (eval echo "\"\$as_me:7853: $lt_compile\"" >&5)
    78157854   (eval "$lt_compile" 2>conftest.err)
    78167855   ac_status=$?
    78177856   cat conftest.err >&5
    7818    echo "$as_me:7818: \$? = $ac_status" >&5
     7857   echo "$as_me:7857: \$? = $ac_status" >&5
    78197858   if (exit $ac_status) && test -s "$ac_outfile"; then
    78207859     # The compiler can only warn and ignore the option if not recognized
     
    79167955   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79177956   -e 's:$: $lt_compiler_flag:'`
    7918    (eval echo "\"\$as_me:7918: $lt_compile\"" >&5)
     7957   (eval echo "\"\$as_me:7957: $lt_compile\"" >&5)
    79197958   (eval "$lt_compile" 2>out/conftest.err)
    79207959   ac_status=$?
    79217960   cat out/conftest.err >&5
    7922    echo "$as_me:7922: \$? = $ac_status" >&5
     7961   echo "$as_me:7961: \$? = $ac_status" >&5
    79237962   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    79247963   then
     
    1026110300  lt_status=$lt_dlunknown
    1026210301  cat > conftest.$ac_ext <<EOF
    10263 #line 10263 "configure"
     10302#line 10302 "configure"
    1026410303#include "confdefs.h"
    1026510304
     
    1036110400  lt_status=$lt_dlunknown
    1036210401  cat > conftest.$ac_ext <<EOF
    10363 #line 10363 "configure"
     10402#line 10402 "configure"
    1036410403#include "confdefs.h"
    1036510404
     
    1270512744   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1270612745   -e 's:$: $lt_compiler_flag:'`
    12707    (eval echo "\"\$as_me:12707: $lt_compile\"" >&5)
     12746   (eval echo "\"\$as_me:12746: $lt_compile\"" >&5)
    1270812747   (eval "$lt_compile" 2>conftest.err)
    1270912748   ac_status=$?
    1271012749   cat conftest.err >&5
    12711    echo "$as_me:12711: \$? = $ac_status" >&5
     12750   echo "$as_me:12750: \$? = $ac_status" >&5
    1271212751   if (exit $ac_status) && test -s "$ac_outfile"; then
    1271312752     # The compiler can only warn and ignore the option if not recognized
     
    1280912848   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1281012849   -e 's:$: $lt_compiler_flag:'`
    12811    (eval echo "\"\$as_me:12811: $lt_compile\"" >&5)
     12850   (eval echo "\"\$as_me:12850: $lt_compile\"" >&5)
    1281212851   (eval "$lt_compile" 2>out/conftest.err)
    1281312852   ac_status=$?
    1281412853   cat out/conftest.err >&5
    12815    echo "$as_me:12815: \$? = $ac_status" >&5
     12854   echo "$as_me:12854: \$? = $ac_status" >&5
    1281612855   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1281712856   then
     
    1437914418   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1438014419   -e 's:$: $lt_compiler_flag:'`
    14381    (eval echo "\"\$as_me:14381: $lt_compile\"" >&5)
     14420   (eval echo "\"\$as_me:14420: $lt_compile\"" >&5)
    1438214421   (eval "$lt_compile" 2>conftest.err)
    1438314422   ac_status=$?
    1438414423   cat conftest.err >&5
    14385    echo "$as_me:14385: \$? = $ac_status" >&5
     14424   echo "$as_me:14424: \$? = $ac_status" >&5
    1438614425   if (exit $ac_status) && test -s "$ac_outfile"; then
    1438714426     # The compiler can only warn and ignore the option if not recognized
     
    1448314522   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1448414523   -e 's:$: $lt_compiler_flag:'`
    14485    (eval echo "\"\$as_me:14485: $lt_compile\"" >&5)
     14524   (eval echo "\"\$as_me:14524: $lt_compile\"" >&5)
    1448614525   (eval "$lt_compile" 2>out/conftest.err)
    1448714526   ac_status=$?
    1448814527   cat out/conftest.err >&5
    14489    echo "$as_me:14489: \$? = $ac_status" >&5
     14528   echo "$as_me:14528: \$? = $ac_status" >&5
    1449014529   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1449114530   then
     
    1669016729   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1669116730   -e 's:$: $lt_compiler_flag:'`
    16692    (eval echo "\"\$as_me:16692: $lt_compile\"" >&5)
     16731   (eval echo "\"\$as_me:16731: $lt_compile\"" >&5)
    1669316732   (eval "$lt_compile" 2>conftest.err)
    1669416733   ac_status=$?
    1669516734   cat conftest.err >&5
    16696    echo "$as_me:16696: \$? = $ac_status" >&5
     16735   echo "$as_me:16735: \$? = $ac_status" >&5
    1669716736   if (exit $ac_status) && test -s "$ac_outfile"; then
    1669816737     # The compiler can only warn and ignore the option if not recognized
     
    1695816997   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1695916998   -e 's:$: $lt_compiler_flag:'`
    16960    (eval echo "\"\$as_me:16960: $lt_compile\"" >&5)
     16999   (eval echo "\"\$as_me:16999: $lt_compile\"" >&5)
    1696117000   (eval "$lt_compile" 2>conftest.err)
    1696217001   ac_status=$?
    1696317002   cat conftest.err >&5
    16964    echo "$as_me:16964: \$? = $ac_status" >&5
     17003   echo "$as_me:17003: \$? = $ac_status" >&5
    1696517004   if (exit $ac_status) && test -s "$ac_outfile"; then
    1696617005     # The compiler can only warn and ignore the option if not recognized
     
    1706217101   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1706317102   -e 's:$: $lt_compiler_flag:'`
    17064    (eval echo "\"\$as_me:17064: $lt_compile\"" >&5)
     17103   (eval echo "\"\$as_me:17103: $lt_compile\"" >&5)
    1706517104   (eval "$lt_compile" 2>out/conftest.err)
    1706617105   ac_status=$?
    1706717106   cat out/conftest.err >&5
    17068    echo "$as_me:17068: \$? = $ac_status" >&5
     17107   echo "$as_me:17107: \$? = $ac_status" >&5
    1706917108   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1707017109   then
     
    2050420543echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2050520544coin_link_input_cmd="$LN_S"
    20506 if test "$enable_doscompile" = mingw; then
    20507   coin_link_input_cmd=cp
    20508 fi
    2050920545case "$CC" in
    2051020546  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.